/*****************************************************************************
 *                                                                           *
 *                Licensed Materials - Property of IBM Corp.                 *
 *                  5648-C60 (c) Copyright IBM Corp. 2000                    *
 *                                                                           *
 *       MQJMS Standalone Application Server Facilities (ASF) Samples        *
 *                                                                           *
 *                                                                           *
 *  FILENAME:     MessageListenerFactory.java                                *
 *                                                                           *
 *  DESCRIPTION:  A simple interface which can be implemented by providers   *
 *                of instances of the javax.jms.MessageListener interface.   *
 *                                                                           *
 *  USAGE:        n/a                                                        *
 *                                                                           *
 *  HISTORY:      010131 - First released as part of SupportPac MA88 v2      *
 *                                                                           *
 *****************************************************************************/

import javax.jms.*;

public interface MessageListenerFactory {
   /** createMessageListener - The factory method itself */
   public MessageListener createMessageListener();
}
